package com.docus.server.common.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *  顺德人医pacs接口获取base64报告出错的记录
 * @author wyb
 * @date 2023-10-17
 */
@Data
public class SdryPacsPrintExcept implements Serializable {

    private static final long serialVersionUID = 1L;


    private Long id;

    /**
    * 病案号
    */
    private String inpatientNo;

    /**
    * 住院次数
    */
    private Integer admissTimes;

    /**
    * 记账号/住院流水号
    */
    private String jzh;

    /**
    * 推送的消息一般比较大，不存数据库，存文件中，保存文件路径
    */
    private String reportMessagePath;

    /**
    * 补偿状态，1 成功，其他未成功
    */
    private Integer state;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
     * 检查报告单号
     */

    private String examReportSn;

    /**
     *  推送的标识 区分新增1008和更新1009
     */
    private String serviceFlag;

    public SdryPacsPrintExcept() {}
}