package com.docus.server.report.api;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.report.api.request.CqcAuditRequest;

import java.util.List;

/**
 * 病案基础服务
 *
 * @author wyb
 */
public interface MedicalRecordService {
    /**
     * 根据病案主键和配置自动质控
     *
     * @param request 质控请求参数
     * @return 质控接口返回参数
     */
    CommonResult<String> cqcAudit(List<CqcAuditRequest> request);
}
