package com.docus.server.report.mapper;

import org.apache.ibatis.annotations.Param;

/**
 * 文件表mapper
 *
 * @author wyb
 */
public interface AfScanAssortMapper {

    /**
     * 根据病案主键和采集器id查询文件表数量
     *
     * @param patientId   病案主键
     * @param collectorId 采集器id
     * @return 文件表数量
     */
    Integer countByPatientAndCollectorId(@Param("patientId") String patientId, @Param("collectorId") String collectorId);
}
