package com.docus.server.report.service.impl;

import com.docus.server.report.api.ShunDePeopleService;
import com.docus.server.report.api.dto.SdNurDocFailRequest;
import com.docus.server.report.service.ShunDePeopleBusinessService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class ShunDePeopleBusinessServiceImpl implements ShunDePeopleBusinessService {
    @Resource
    private ShunDePeopleService shunDePeopleService;

    @Override
    public void nurseFileCountError(String inpatientNo, Integer admissTimes,String errorMsg) {
        final String traceCode = "nurse_doc_fail";
        final String errorCode = "-1";
        SdNurDocFailRequest failRequest = new SdNurDocFailRequest(inpatientNo,admissTimes.toString(),traceCode,errorCode,errorMsg);
        shunDePeopleService.pushSdNurDocFail(failRequest);
    }
}
